## org.gnu.gtk.event
Class CellRendererToggleEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.CellRendererToggleEvent

All Implemented Interfaces:
  java.io.Serializable

public class CellRendererToggleEvent
extends GtkEvent

An event represeting action by a `CellRendererToggle` widget.

See Also:
  `CellRendererToggleListener`, `CellRendererToggle`, Serialized Form

Nested Class Summary
`static class` `CellRendererToggleEvent.Type`

Constructor Summary
`CellRendererToggleEvent(java.lang.Object source, java.lang.String path)` Creates a new event.

Method Summary
`java.lang.String` `getPath()` Returns the TreeIter index of which the text has been changed.

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CellRendererToggleEvent

    public CellRendererToggleEvent(java.lang.Object source,
                                   java.lang.String path)

  Creates a new event. This is used internally by java-gnome. Users only have to deal with listeners.

Method Detail

### getPath

    public java.lang.String getPath()

  Returns the TreeIter index of which the text has been changed.

  Returns:
    the TreeIter index